<?php
namespace Claromentis\Core\ORM\Plugins\Acl;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_fd7e81d55a" . "c4783b78f0d" . "3fcd1eefe0e" => base64_decode("aW5p" . "dGlh" . "bGl6" . "ZWQ="));
use Analogue\ORM\Events;
use Analogue\ORM\Plugins\AnaloguePlugin;
use Analogue\ORM\System\Mapper;
































class AclPlugin extends AnaloguePlugin
{
    
    
    
    
    
    
    public function register()
    {
        $this->manager->registerGlobalEvent($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_fd7e81d55ac478" . "3b78f0d3fcd1eef" . "e0e"], function ($event, $_f4bd77b9d7574792bd46db73586ce19d = null) {
            if ($_f4bd77b9d7574792bd46db73586ce19d === null) {
                $_dabd1eb8030f2c29327a192cddfd85a9 = $event;
            } else {
                $_dabd1eb8030f2c29327a192cddfd85a9 = $_f4bd77b9d7574792bd46db73586ce19d[0]->mapper;
            }
            $this->registerAcl($_dabd1eb8030f2c29327a192cddfd85a9);
        });
    }
    
    
    
    
    
    
    protected function registerAcl(Mapper $_dabd1eb8030f2c29327a192cddfd85a9)
    {
        $_dabd1eb8030f2c29327a192cddfd85a9->addGlobalScope(new AclScope());
    }
    
    
    
    
    
    
    public function getCustomEvents() : array
    {
        return [];
    }
}